XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

See the class for an example using this class.

Several classes, such as and , use the XmlNameTable class internally to store attribute and element names. When an element or attribute name occurs multiple times in an XML document, it is stored only once in the XmlNameTable.

The names are stored as common language runtime (CLR) object types. This enables you to do object comparisons on these strings rather than a more expensive string comparison. These string objects are referred to as atomized strings.

XmlNameTable is implemented in the class.

Table of atomized string objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` is .

  For more information on atomized strings, see .

  When overridden in a derived class, atomizes the specified string and adds it to the XmlNameTable.

  The new atomized string or the existing one if it already exists.

  The name to add. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` ``

  < 0.

  - or -

  >= .Length.

  - or -

  > .Length - .

  The above conditions do not cause an exception to be thrown if = 0.

  < 0.

  For more information on atomized strings, see .

  When overridden in a derived class, atomizes the specified string and adds it to the XmlNameTable.

  The new atomized string or the existing one if it already exists. If length is zero, String.Empty is returned.

  The character array containing the name to add. Zero-based index into the array specifying the first character of the name. The number of characters in the name. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` is .

  For more information on atomized strings, see .

  When overridden in a derived class, gets the atomized string containing the same value as the specified string.

  The atomized string or null if the string has not already been atomized.

  The name to look up. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` `` < 0.

  - or -

  >= .Length.

  - or -

  > .Length - .

  The above conditions do not cause an exception to be thrown if = 0.

  < 0.

  For more information on atomized strings, see .

  When overridden in a derived class, gets the atomized string containing the same characters as the specified range of characters in the given array.

  The atomized string or null if the string has not already been atomized. If is zero, String.Empty is returned.

  The character array containing the name to look up. The zero-based index into the array specifying the first character of the name. The number of characters in the name. 0
0